org.eclipse.microprofile.rest.client.inject

## Class RestClient.RestClientLiteral

- java.lang.Object
- - javax.enterprise.util.AnnotationLiteral<RestClient>
  - - org.eclipse.microprofile.rest.client.inject.RestClient.RestClientLiteral

All Implemented Interfaces:
  Serializable, Annotation, RestClient

Enclosing class:
  RestClient

    public static class RestClient.RestClientLiteral
    extends javax.enterprise.util.AnnotationLiteral<RestClient>
    implements RestClient

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.microprofile.rest.client.inject.RestClient

`RestClient.RestClientLiteral`

### Field Summary

### Fields inherited from interface org.eclipse.microprofile.rest.client.inject.RestClient

`LITERAL`

### Constructor Summary

Constructors
Constructor and Description
`RestClientLiteral()`

### Method Summary

### Methods inherited from class javax.enterprise.util.AnnotationLiteral

`annotationType, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.annotation.Annotation

`annotationType, equals, hashCode, toString`

### Constructor Detail

#### RestClientLiteral

    public RestClientLiteral()